PGCLI(1)

NAME
pgcli - Command line client for PostgreSQL

SYNOPSIS
pgcli [OPTIONS] [DATABASE] [USERNAME]

DESCRIPTION
pgcli is a command line interface for PostgreSQL with auto-completion and syntax highlighting. The CLI is also capable of pretty printing tabular data.

OPTIONS

-h|--host TEXT
    Host address of the postgres database

-p|--port INTEGER
    Port number at which the postgres instance is listening

-U|--user TEXT
    User name to connect to the postgres database

-W|--password
    Force password prompt

-w|--no-password
    Never prompt for password

-v|--version
    Version of pgcli

-d|--dbname TEXT
    Database name to connect to

--pgclirc TEXT
    Location of pgclirc file

--help
    Show this message and exit

EXAMPLE USAGE
$ pgcli local_database

$ pgcli postgres://amjith:passw0rd@example.com:5432/app_db

$ pgcli -h localhost -p 5432 -U amjith app_db

AUTHOR
pgcli is written by Amjith Ramanujam (http://pgcli.com)

This manual page was written by Lennart Weller <lhw@ring0.de>, for the Debian project (but may be used by others).